<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 id="top-hosts" superservice="syslog">

 <lire:title>Top Hosts Syslog Report </lire:title>

 <lire:description>
  <para>This report specification will generate a report showing the
   hosts that logged the most messages.
  </para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="hosts_to_show" type="int" default="10">
   <lire:description>
    <para>The number of hosts to include in the report.</para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Top $hosts_to_show Hosts</lire:title>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:group sort="-msg_count" limit="$hosts_to_show">
   <lire:field name="hostname"/>

   <lire:count name="msg_count" label="Messages"/>
   <lire:count name="msg_ratio" ratio="table" label="% Total"/>
  </lire:group>
 </lire:report-calc-spec>

</lire:report-spec>
